List agents
Agents of your account with name, email, role and availability.
GET https://cotlet.dev/api/v1/chatwoot/agents
read
Returns the agents and administrators of the account with agent_id, name, email, role and availability. Use agent_id as the agent_id of assign_conversation. Availability is what Chatwoot shows for the agent right now.
Parameters
No parameters.
Request
curl https://cotlet.dev/api/v1/chatwoot/agents \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("chatwoot", "list_agents") const result = await cotlet.call('chatwoot', 'list_agents'); cotlet call chatwoot list_agents Example response
{
"agents": [
{
"agent_id": 7,
"name": "Maya Brandt",
"email": "maya@example.com",
"role": "administrator",
"availability": "online"
},
{
"agent_id": 9,
"name": "Jon Reyes",
"email": "jon@example.com",
"role": "agent",
"availability": "offline"
}
]
}